Predefined Images
Retrieve a list of AVD predefined vm images.
Responses
200
Success
application/json; api-version=1.0
AVD Predefiend VM Images
imageSessionTypestring · enumOptionalPossible values:
Host Session Type
displayNamestring · nullableOptional
Image name
publisherstring · nullableOptional
The organization that created the image
offerstring · nullableOptional
The name of a group of related images created by a publisher
skustring · nullableOptional
An instance of an offer, such as a major release of a distribution
401
Unauthorized
application/json; api-version=1.0
404
Not Found
application/json; api-version=1.0
get/api/AVD/PredefinedImages
GET /api/AVD/PredefinedImages HTTP/1.1
Accept: */*
[
{
"imageSessionType": [
"0 = SingleSession",
"1 = MultiSession"
],
"displayName": "text",
"publisher": "text",
"offer": "text",
"sku": "text"
}
]